@echo off

set CACHE_LIB=./lib
set CACHE_OUTPUT=./output

set CLASSPATH=%CACHE_LIB%/bsh-core-1.3.0.jar;%CACHE_LIB%/bsh-commands-1.3.0.jar;%CACHE_LIB%/jboss-aop.jar;%CACHE_LIB%/jboss-j2ee.jar;%CACHE_LIB%/jgroups.jar;%CACHE_LIB%/jboss-cache.jar;%CACHE_LIB%/jboss-jmx.jar;%CACHE_LIB%/trove.jar;%CACHE_LIB%/javassist.jar;%CACHE_LIB%/jboss-common.jar;%CACHE_LIB%/jboss-system.jar;%CACHE_LIB%/log4j.jar;%CACHE_LIB%/concurrent.jar

set CLASSPATH=%CLASSPATH%;etc;%CACHE_OUTPUT%/build
set CP=%CLASSPATH%
set LOG4J=etc/log4j.xml
set L4J=%LOG4J%

set ARGS=-Djava.system.class.loader=org.jboss.aop.standalone.SystemClassLoader -Dlog4j.configuration=file:%L4J%

java -cp %CP% %ARGS% bsh.Interpreter
